Skip to main content
GET
/
pages
/
{page_id}
Get page details
curl --request GET \
  --url https://api.questra.ai/pages/{page_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "survey_id": "<string>",
  "name": "<string>",
  "locked": false,
  "order": 1,
  "blocks": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "page_id": "<string>",
      "order": 1,
      "config": {
        "content": "<string>",
        "type": "<string>",
        "showIf": "<string>",
        "attentionRequired": {
          "reason": "<string>",
          "dismissed": false
        },
        "content_type": "markdown"
      }
    }
  ],
  "navigation_rules": [
    {
      "id": "<string>",
      "source_page_id": "<string>",
      "target_page_id": "<string>",
      "order": 1,
      "condition": "<string>",
      "attention_required": {
        "reason": "<string>",
        "dismissed": false
      }
    }
  ],
  "assign_response_status": "<string>",
  "programming_started_at": "2023-11-07T05:31:56Z",
  "programming_completed_at": "2023-11-07T05:31:56Z",
  "attention_required": {
    "reason": "<string>",
    "dismissed": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

page_id
string
required

Response

All the linked downstream resources relevant to the page

id
string
required

Unique ID of the page

created_at
string<date-time>
required

Date and time the page was created

updated_at
string<date-time>
required

Date and time the page was last edited

survey_id
string
required

Unique ID of the survey this page is a part of

name
string
required

Unique name of the page within the survey

locked
boolean
default:false
required

If true, the survey has been locked by an AI process to complete changes

order
integer
required

Order in which the page will appear in a list view of the pages. This has no bearing on survey navigation.

Required range: x >= 0
blocks
object[]
required

A list of blocks on the page

navigation_rules
object[]
required

A list of navigation rules in which this page is the source

assign_response_status
string

Status to assign to the response upon arrival at this page

Examples:

"complete"

"disqualified"

programming_started_at
string<date-time>

Date and time an AI begain programming this survey from a questionnaire file

programming_completed_at
string<date-time>

Date and time an AI finished programming this survey from a questionnaire file

attention_required
object

Present when the AI flagged this page as needing human review before export